<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of magix cjQuery.
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
# Magix cjQuery is a library written in PHP 5.
# It can work with a layer of abstraction, to validate data, handle jQuery code in PHP.
# Copyright (C)Magix cjQuery 2009 Gerits Aurelien
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# -- END LICENSE BLOCK -----------------------------------
/**
 * @copyright magixcjQuery
 * @author Gerits Aurelien
 * @package Exemple jQuery UI with magicjquery - Effects UI
 * @example :
 */
require '../../magixcjquery/_common.php';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<link rel="stylesheet" type="text/css" href="../styles/ex-effects.css" media="screen" />
<link rel="stylesheet" type="text/css" href="../jquery-ui-1.7.1.custom.css" media="screen" />
<meta http-equiv="Content-Language" content="fr" />
<meta name="description" content="Un exemple de conception de divers effets UI avec magixcjQuery" />
<title>Exemple avec jQuery UI effects</title>
<script type="text/javascript" src="http://code.jquery.com/jquery-latest.js"></script>
<?php 
require('../jquery.php');
print 
	magixcjquery_jquery_magixcjQuery::startjQuery().
	magixcjquery_jquery_plugins_ui_effects::addClass('"#test"','test').
	magixcjquery_jquery_plugins_ui_effects::removeClass('"#test2"','test2').
	magixcjquery_jquery_plugins_ui_effects::addClass('"#test2"','replaceClass').
	magixcjquery_jquery_magixcjQuery::endjQuery();
?>
</head>

<body>
	<div id="page">
		<div id="content">
			<div class="container">
			<h1>Les effets de jQuery UI avec magixcjQuery</h1>
				<div id="test">Ajout d'une class</div>
				<div id="test2" class="test2">Suppression d'une class + remplacement</div>
				<ul id="icons">
					<li class="ui-state-default ui-corner-all">
						<a id="back" href="<?php print magixcjquery_html_helpersHtml::getUrl().'/'.'ui/effects'?>"><span class="ui-icon ui-icon-arrowrefresh-1-n"></span></a>
					</li>
				</ul>
				<div class="clear"></div>
			</div>
		</div>
		<div id="footer">
		<p>&copy; 2009 <a href="http://magix-cjquery.com">Intégrer jQuery dans PHP</a></p>		
		</div>
	</div>
</body>
</html>