<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of magix cjQuery.
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
# Magix cjQuery is a library written in PHP 5.
# It can work with a layer of abstraction, to validate data, handle jQuery code in PHP.
# Copyright (C)Magix cjQuery 2009 Gerits Aurelien
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# -- END LICENSE BLOCK -----------------------------------
/**
 * @copyright magixcjQuery
 * @author Gerits Aurelien
 * @package Exemple jQuery UI with magicjquery - Effects UI
 * @example :
 */
require '../../magixcjquery/_common.php';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Style-Type" content="text/css" />
<link rel="stylesheet" type="text/css" href="../styles/ex-effects.css" media="screen" />
<link rel="stylesheet" type="text/css" href="../jquery-ui-1.7.1.custom.css" media="screen" />
<meta http-equiv="Content-Language" content="fr" />
<meta name="description" content="Un exemple de conception de divers effets UI avec magixcjQuery" />
<title>Exemple avec jQuery UI effects</title>
<script type="text/javascript" src="http://code.jquery.com/jquery-latest.js"></script>
<?php 
require('../jquery.php');
/**
 * tableau 1 pour définir les effets à placer dans UI animate()
 */
$opt1 = array(
				magixcjquery_jquery_plugins_ui_effects::opt_backgroundColor('#aa0000'),
				magixcjquery_jquery_plugins_ui_effects::opt_color('#FFF')
			);
/**
 * tableau 2 pour définir les effets à placer dans UI animate()
 */
$opt2 = array(
				magixcjquery_jquery_plugins_ui_effects::opt_backgroundColor('#FFF'),
				magixcjquery_jquery_plugins_ui_effects::opt_color('#aa0000')
			);
/**
 * Une fois mes effets défini, je peux les placer dans la fonction jHover
 * PS: on peu y ajouter ce que l'on désire comme des propriétés CSS ou d'autres effets ....
 */
print 
// On initialise jQuery
magixcjquery_jquery_magixcjQuery::startjQuery().
/**On défini la fonction hover de jQuery avec jHover dans magix cjquery (Voir :http://docs.jquery.com/Events/hover)
*
* On utilise la fonction jHover() de la même facon qu'avec jQuery
* On défini :
* 				over = ajoute un fond coloré progressif + propriété CSS
* 				out = ajoute un fond coloré progressif
*/
magixcjquery_jquery_event::jHover('".demo"',magixcjquery_jquery_css::jCss('this','value',array(
	'border-bottom'=>'1px solid'
),false).magixcjquery_jquery_plugins_ui_effects::animate(false,$opt1,700,false),magixcjquery_jquery_css::jCss('this','value',array(
	'border-bottom'=>'none'
)).magixcjquery_jquery_plugins_ui_effects::animate('this',$opt2,600,false)).
// On termine jQuery
magixcjquery_jquery_magixcjQuery::endjQuery();
?>
</head>
<body>
	<div id="page">
		<div id="content">
			<div class="container">
			<h1>Les effets de jQuery UI avec magixcjQuery</h1>
			<ul id="men-demo">
				<li><a class="demo" href="<?php print magixcjquery_html_helpersHtml::getUrl(true);?>addclass.php">addClass</a></li>
				<li><a class="demo" href="<?php print magixcjquery_html_helpersHtml::getUrl(true);?>animate.php">animate</a></li>
			</ul>
			</div>
		</div>
		<div id="footer">
			<p>&copy; 2009 <a href="http://www.clashdesign.net" title="Clash Design création de site web respectant les normes standard w3c">clashdesign</a> propulsé par <a href="http://www.magix-cms.com/internet/creation-site-web.html" title="Magix cms, une solution simple de gérer le contenu de votre site internet">Création site web</a> - <a href="http://www.clashdesign.be" title="conception de site internet">conception de site internet</a></p>
		</div>
	</div>
</body>
</html>